global:
  sendAnonymousUsage: false
  checkNewVersion: true

entryPoints:
  web:
    address: ":80"
  websecure:
    address: ":443"
  ping:
    address: ":8082"

ping:
  entryPoint: "ping"

api:
  dashboard: true
  insecure: false

log:
  level: {{ env "TRAEFIK_LOG_LEVEL" }}

accessLog:
  filePath: {{ env "NOMAD_ALLOC_DIR" }}/logs/traefik_access.log
  bufferingSize:
  fields:
    defaultMode: keep
    headers:
      defaultMode: keep
      names:
        Authorization: drop

providers:
  file:
    directory: {{ env "NOMAD_TASK_DIR" }}/config/dynamic-configs
    watch: true

  consulCatalog:
    connectAware: true
    connectbydefault: true
    exposedByDefault: false
    servicename: traefik
    endpoint:
      address: {{ env "CONSUL_CATALOG_ENDPOINT_ADDRESS" }}
      scheme: {{ env "CONSUL_CATALOG_ENDPOINT_SCHEME" }}
      datacenter: dc1
      tls:
        ca: {{ env "NOMAD_ALLOC_DIR" }}/tls/consul_connect/{{ env "CONSUL_CATALOG_ENDPOINT_TLS_CA_FILE" }}